Alembic: Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty Class Reference

Inherits Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >.

Inherited by Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< BooleanTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Uint8TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Int8TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Uint16TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Int16TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Uint32TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Int32TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Uint64TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Int64TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Float16TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Float32TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Float64TPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< StringTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< WstringTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< V2sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< V2iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< V2fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< V2dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< V3sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< V3iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< V3fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< V3dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< P2sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< P2iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< P2fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< P2dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< P3sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< P3iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< P3fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< P3dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Box2sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Box2iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Box2fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Box2dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Box3sTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Box3iTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Box3fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< Box3dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< M33fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< M33dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< M44fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< M44dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< QuatfTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< QuatdTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< C3hTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< C3fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< C3cTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< C4hTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< C4fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< C4cTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< N2fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< N2dTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< N3fTPTraits >, Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< N3dTPTraits >, and Alembic::Abc::ALEMBIC_VERSION_NS::OTypedArrayProperty< TRAITS >.

Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty:
[legend]

## Public Types
typedef OArrayProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
typedef OBasePropertyT< AbcA::ArrayPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::ArrayPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OArrayProperty ()
| OArrayProperty (OCompoundProperty iParent, const std::string &iName, const AbcA::DataType &iDataType, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OArrayProperty (AbcA::ArrayPropertyWriterPtr iPtr, const Argument &iArg0=Argument())
| OArrayProperty (AbcA::ArrayPropertyWriterPtr iPtr, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument())
| ~OArrayProperty ()
size_t | getNumSamples () const
void | set (const AbcA::ArraySample &iSample)
void | setFromPrevious ()
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::ArrayPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::ArrayPropertyWriterPtr >
AbcA::ArrayPropertyWriterPtr | m_property

## Member Typedef Documentation

## ◆ this_type

typedef OArrayProperty Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::this_type

By convention we always define this_type in Abc classes Used by unspecified-bool-type conversion below

## Constructor & Destructor Documentation

## ◆ OArrayProperty() [1/3]

Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::OArrayProperty | ( |  | ) |
| inline

The default constructor creates an empty OArrayProperty function set. ...

## ◆ OArrayProperty() [2/3]

Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::OArrayProperty | ( | OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const AbcA::DataType & | iDataType,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument() )

Create a new OArrayProperty named iName as a child of compound iParent, of data type iDataType. The remaining optional arguments can be used to override the ErrorHandlerPolicy, specify MetaData, and to specify time sampling or time sampling index.

## ◆ OArrayProperty() [3/3]

Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::OArrayProperty | ( | AbcA::ArrayPropertyWriterPtr | iPtr,
|  | const Argument & | iArg0 = Argument() )
| inline

This attaches an OArrayProperty wrapper around an existing ArrayPropertyWriterPtr, with an optional error handling policy.

## ◆ ~OArrayProperty()

Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::~OArrayProperty | ( |  | ) |

Default copy constructor used Default assignment operator used.

Destructor ...

## Member Function Documentation

## ◆ getNumSamples()

size_t Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::getNumSamples | ( |  | ) | const

Get the number of samples written so far. May change over time as more samples are written.

## ◆ getParent()

OCompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::getParent | ( |  | ) | const

Return the parent compound property, handily wrapped in a OCompoundProperty wrapper.

## ◆ set()

void Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::set | ( | const AbcA::ArraySample & | iSample | ) |

Set a sample from the address of a datum. ...

## ◆ setFromPrevious()

void Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::setFromPrevious | ( |  | ) |

Set a sample from the previous sample. ...

## ◆ setTimeSampling() [1/2]

void Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::setTimeSampling | ( | AbcA::TimeSamplingPtr | iTime | ) |

Changes the TimeSampling used by this property. If the TimeSampling is changed to Acyclic and the number of samples currently set is more than the number of times provided in the Acyclic TimeSampling, an exception will be thrown.

## ◆ setTimeSampling() [2/2]

void Alembic::Abc::ALEMBIC_VERSION_NS::OArrayProperty::setTimeSampling | ( | uint32_t | iIndex | ) |

Changes the TimeSampling used by this property. If the TimeSampling is changed to Acyclic and the number of samples currently set is more than the number of times provided in the Acyclic TimeSampling, an exception will be thrown.

The documentation for this class was generated from the following files:

- Abc/OArrayProperty.h
- Abc/OArrayProperty.cpp